// ===-- include/proclib/demangle/demangle_ns.hpp --------- -*- C++ -*- --=== //
// Copyright (c) 2016 Matt Bisson.  All rights reserved.

/**
 * @file
 * @brief The basic header file for the demangle namespce.
 *
 * All modules that declare ::proclib::demangle namespace items must include
 * this header explicitly.  When external modules reference this header, they
 * are declaring a dependency on the namespace / module.
 *
 * @author  Matt Bisson
 * @date    15 April, 2016
 * @since   ProcLib 1.0
 * @version ProcLib 2.0
 *
 * @copyright
 *     This file is distributed under the University of Illinois Open Source
 *     License.  See LICENSE.TXT for details.
 */

/**
 * @dir
 * @brief This directory contains the public interface declarations for the
 *        ::proclib::demangle namespace.
 *
 * @author  Matt Bisson
 * @date    25 November, 2007 -- 15 April, 2016
 * @since   ProcLib 1.0
 * @version ProcLib 2.0
 */

#pragma once
#ifndef PROCLIB_DEMANGLE_DEMANGLE_NS_HPP
#define PROCLIB_DEMANGLE_DEMANGLE_NS_HPP

#include <proclib/proclib_ns.hpp>

namespace proclib
{
    /**
     * @brief Contains utilities for de-mangling C++ symbol names.
     *
     * @author  Matt Bisson
     * @date    25 November, 2007 -- 15 April, 2016
     * @since   ProcLib 1.0
     * @version ProcLib 2.0
     */
    namespace demangle
    {

    } // namespace demangle
} // namespace proclib

#endif // PROCLIB_DEMANGLE_DEMANGLE_NS_HPP
